Gentoo Archives: gentoo-user

From: allan gottlieb <gottlieb@×××.edu>
To: gentoo-user@l.g.o
Subject: [gentoo-user] broadcom-sta for my wireless card
Date: Wed, 24 May 2017 18:10:55
Message-Id: 87r2zew2fz.fsf@nyu.edu
My older laptop needs broadcom-sta.  Back when I bought and setup the
laptop (kernel 3.18.12), I emerged broadcom-sta and wireless worked.

Now I am upgrading to kernel 4.9.16.  The kernel boots but no wireless.
In /lib/modules/3.18.12-gentoo-3 I have net/wireless/wl.ko.
In /lib/modules/4.9.16-gentoo-3 there is no net.

Am I supposed to remerge broadcom-sta?  If so how do I indicate the
kernel version for /lib/modules?
   Do I set the the /usr/src/linux symlink?
   Do I run 4.9.16 during the emerge?
   Something else?

thanks,
allan

Replies

Subject Author
Re: [gentoo-user] broadcom-sta for my wireless card Daniel Frey <djqfrey@×××××.com>